Description
Należy przygotować i zaimplementować model danych persystowalny w bazie danych. W ramach modelu należy wyodrębnić:
    -  grupy użytkowników
    -  bazy (database)
    -  wydawców (publisher)
    -  model dla workflow zatwierdzającego (można spojrzeć na StatefulJ - https://github.com/statefulj/statefulj - i pod tym kątem
zamodelować)
    -  przypisywanie danych do użytkowników 
    -  historia wersji dokumentów
    -  historia zdarzeń
    -  przechowywanie danych pełnotekstowych
    -  przypisywanie czasopism do wydawców
    -  referencje do dokumentów

Related issues:
Follows Jupiter - Zadanie # 1544: UserService Zamknięty 2017-02-02

Associated revisions
Revision 868f27e5 - 2017-02-10 08:09 - Łukasz Waśkiewicz

refs #1547 struktura danych, sql

Revision b8dc3e3b - 2017-02-14 12:56 - Łukasz Waśkiewicz

refs #1547 przebudowa modelu

Revision 4e2ee230 - 2017-02-14 13:06 - Łukasz Waśkiewicz

refs #1547 przebudowa modelu

Revision b6f604c6 - 2017-02-14 13:22 - Łukasz Waśkiewicz

refs #1547 przebudowa modelu, poprawki w UI

Revision f3e3a182 - 2017-02-14 13:32 - Łukasz Waśkiewicz

refs #1547 przebudowa modelu
Revision 344cc7d8 - 2017-02-14 14:08 - Łukasz Waśkiewicz

refs #1547 rename Bean <-> Entity

Revision 2c3bcc02 - 2017-02-15 10:53 - Łukasz Waśkiewicz

refs #1547 dozer builder for user

History
#1 - 2017-02-07 12:23 - Michał Komar
- Follows Zadanie #1544: UserService added

#2 - 2017-02-07 12:26 - Michał Komar
- File model.png added

#3 - 2017-02-07 12:31 - Michał Komar
Jeżeli chodzi o diagram z modelem: 
    -  trzeba się na razie skupić na samym modelu danych, serwisy można później zrobić
    -  spojrzałbym na to od strony bazy danych (np. publishingHouseId / databaseId == AbstractGroup.id, a na modelu są to inne pola).
    -  Co to jest DocumentSpecification?
    -  w sumie, to może zaimplementuj to w javie i dodaj adnotacje hibernate'owe, a póżniej będziemy to poprawiać, tak chyba szybciej będzie

#4 - 2017-02-10 08:22 - Łukasz Waśkiewicz
- Status changed from Nowy to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

#5 - 2017-03-13 14:52 - Michał Komar
- Status changed from Testowanie to Rozwiązany
- % Done changed from 0 to 100

Model jest ok.

#6 - 2017-06-06 11:56 - Michał Komar
- Status changed from Rozwiązany to Zamknięty
